/* Общий стиль фона страницы*/
@font-face{
  font-family: 'Oswald';
  src: url('../fonts/Oswald-VariableFont_wght.woff2') format('woff2');
  src: url('../fonts/src/Oswald-VariableFont_wght.ttf') format('truetype');
  font-weight: 400;
  font-display: swap;
  font-style: normal;
}
body{
    font-family: 'Oswald', sans-serif;
    background-color: #151719;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='240' height='240' viewBox='0 0 800 800'%3E%3Cg fill='none' stroke='%23192031' stroke-width='1'%3E%3Cpath d='M769 229L1037 260.9M927 880L731 737 520 660 309 538 40 599 295 764 126.5 879.5 40 599-197 493 102 382-31 229 126.5 79.5-69-63'/%3E%3Cpath d='M-31 229L237 261 390 382 603 493 308.5 537.5 101.5 381.5M370 905L295 764'/%3E%3Cpath d='M520 660L578 842 731 737 840 599 603 493 520 660 295 764 309 538 390 382 539 269 769 229 577.5 41.5 370 105 295 -36 126.5 79.5 237 261 102 382 40 599 -69 737 127 880'/%3E%3Cpath d='M520-140L578.5 42.5 731-63M603 493L539 269 237 261 370 105M902 382L539 269M390 382L102 382'/%3E%3Cpath d='M-222 42L126.5 79.5 370 105 539 269 577.5 41.5 927 80 769 229 902 382 603 493 731 737M295-36L577.5 41.5M578 842L295 764M40-201L127 80M102 382L-261 269'/%3E%3C/g%3E%3Cg fill='%23183617'%3E%3Ccircle cx='769' cy='229' r='5'/%3E%3Ccircle cx='539' cy='269' r='5'/%3E%3Ccircle cx='603' cy='493' r='5'/%3E%3Ccircle cx='731' cy='737' r='5'/%3E%3Ccircle cx='520' cy='660' r='5'/%3E%3Ccircle cx='309' cy='538' r='5'/%3E%3Ccircle cx='295' cy='764' r='5'/%3E%3Ccircle cx='40' cy='599' r='5'/%3E%3Ccircle cx='102' cy='382' r='5'/%3E%3Ccircle cx='127' cy='80' r='5'/%3E%3Ccircle cx='370' cy='105' r='5'/%3E%3Ccircle cx='578' cy='42' r='5'/%3E%3Ccircle cx='237' cy='261' r='5'/%3E%3Ccircle cx='390' cy='382' r='5'/%3E%3C/g%3E%3C/svg%3E");
    padding-right: 4.6rem;
    padding-left: 1.5rem;
}
a {
  text-decoration:none;
}
a:hover {
  text-decoration:none;
}
/* Стили INDEX страницы*/
.content-index {
  background: rgb(0,0,0);
  background: linear-gradient( rgba(0, 0, 0, 0.9), rgba(0, 0, 0, 0.9) ), url('../img/world.svg');
  background-repeat: repeat;
  background-size: cover;
  -webkit-background-size: cover;
  -o-background-size: cover;
  -moz-background-size: cover;
  background-attachment: fixed;
  background-position: center;
}
.overlay-i {
  padding: 1.5%;
  margin: 0 auto;
}
.overlay-i h1{
  font-size: 45px;
  text-align: center;
  font-weight: bold;
  font-family: 'Oswald', sans-serif;
  color: rgb(154,198,172);
}
.overlay-i p{
  font-size: 24px;
  font-family: 'Oswald', sans-serif;
  color: #e6e6e6;
  text-align: center;
}
.container-img-i{
  position: relative;
  display: block;
  margin: auto;
  padding-left: 1.5%;
  padding-top: 1.5%;
  text-align: center;
}
.img-body{
  width: 100%;
  height: 18rem;
  border-radius: 0.5rem;
}
.btn-body-i{
  padding-top: 1.3rem;
  text-align: center;
  justify-content: center;
}
.btn-text{
  font-family: 'Oswald', sans-serif;
}
/* Стили EDUC страницы*/
.collaps-header{ /* Заголовок сворачивающегося блока*/
  margin: 5px;
  font-size: 1.4rem;
  background-color: #e6e6e6;
  padding: 5px;
  padding-left: 20px;
  border-radius: 0.4rem;
}
.collaps-content { /* Контент сворачивающегося блока*/
  font-size: 1.2rem;
  margin: 25px;
  padding-bottom: 50px;
}

/* Стиль ссылок модального окна */
.modal-link{
  font-size: 1.2rem;
  font-family: 'Oswald', sans-serif;
  background-color: #fff;
  color: #0a0a0a;
}
.modal-link:hover{
  font-size: 1.2rem;
  font-family: 'Oswald', sans-serif;
  background-color: #0a0a0a;
  color: #fff;
}
/* Стиль заголовка на общих страницах */
.jumbotron h1{
  margin-top: 0;
  margin-bottom: 10px;
}
.jumbotron p{
  margin-top: 0;
  margin-bottom: 0;
}
.jumbotron:hover{
  background-color: #0a0a0a;
  color: #ffff;
}
/* Общие стили страниц */
.site-header-text {            /* Сайт */
  margin: 0;
  padding-top: 0.5rem;
  font-size: 2rem;
  font-size: 4vw;
  font-size: 6vmin;
  font-weight: bold;
  font-family: 'Oswald', sans-serif;
  color: rgb(154,198,172);
  text-align: left;
}
.card {
    background-color: rgba(255,255,255, 0.7);
    border: 0;
}
.card-border {
    border-color: #17a2b8 !important
}
.card-header {
    opacity: 1;
    font-size: 1.3rem;
    font-weight: bold;
    font-family: 'Oswald', sans-serif;
    color: rgb(154,198,172);
    background: rgba(0, 0, 4, 0.9);
}
.card-body {
    opacity: 1;
}
.card-body-text {
    font-size: 1.2rem;
    font-family: 'Oswald', sans-serif;
    color: #0a0a0a;
}
.list-group {
    opacity: 95%;
}
.alert-danger, .list-group-item-danger {
    box-shadow: 0 0 20px rgba(225, 83, 97, 0.5);
}
.text-right {
    float: right;
}
.text-left {
    float: left;
}
.card-header .alert {
    margin: -1rem;
}
.card-deck {
    margin-top: 1%;
}
.card-section{
    display: flex;
    overflow-x: auto;
    white-space: nowrap;
    min-height: 50vh;
    -ms-scrollbar-base-color: rgba(255,255,255,0);
}
.card-section::-webkit-scrollbar {
    display: none;
}
.card-section--content{
    min-width: 16rem;
    max-width: 22rem;
}
/* Стили свечения кнопок */
.btn-success {
    box-shadow: 0 0 100px #28a745;
}
.btn-primary {
    box-shadow: 0 0 100px #0275d8;
}
.btn-danger {
    box-shadow: 0 0 100px #d9534f;
}

/* Стили для падающего снега */
#snow_light {
    height: 100%;
    left: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: -1;
}

/* Стили для сведений о дате */
.date-label {
    border-radius: 0.2rem;
    margin-top: 0.2rem;
    margin-left: -1rem;
}
.confetti-canvas {
    position: fixed;
    width: 100%;
    height: 100%;
}
/* Вкладки */
.tabs {
	clear: both;
	position: relative;
  height: 100px;
  width: 100%;
  margin-top: -1.8rem;
  border-radius: 0.3rem;
}
.tab {
  display: inline-block;
	float: left;
}
.tab label {
	margin-right: 20px;
	top: 0;
	cursor: pointer;
	color: #333;
  font-size: 1.5rem;
  text-transform: uppercase;
}

.tab [type=radio] {
	display: none;
}
.tab__content {
	position: absolute;
  width: 100%;
	top: 100px;
	left: 0;
	right: 0;
	bottom: 0;
	transition: opacity .2s cubic-bezier(.42,0,.34,1.01);
	opacity: 0;
}
[type=radio]:checked ~ label {
	border-bottom: 2px solid #1d1d1d;
	color: #1d1d1d;
	z-index: 2;
}
[type=radio]:checked ~ label ~ .tab__content {
	z-index: 1;
	opacity: 1;
}

/* Стили для переключателя режима */
.bars label {
  display: block;
  left: 0px;
  top: 0;
  position: relative;
  margin: 0.6rem 0.4rem 0.4rem 0.4rem;
  width: 3.8rem;
  height: 40px;
  z-index: 10;
  line-height: 40px;
  font-weight: bold;
  background: #303030;
  border-radius: 0.2rem;
  -webkit-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -moz-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -ms-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -o-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  cursor: pointer;
}

.bars label:after {
  content: url("../img/toggle/moon.svg");
  padding: 0.25rem;
  width: 1.9rem;
  height: 40px;
  position: absolute;
  right: 0px;
  top: 0px;
  display: block;
  background: #404d59;
  border-radius: 0.2rem;
  -webkit-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -moz-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -ms-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  -o-transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  transition: all 600ms cubic-bezier(0.68, -0.55, 0.265, 1.55);
  cursor: pointer;
}

.checkbox {
    display: none;
}

.bars :checked + label {
  right: 0px;
}

.bars :checked + label:after {
  right: 1.9rem;
  background: #199cff;
  content: url("../img/toggle/sun.svg");
}

/* MODAL HEADERLINK */
#headerlink .modal-content a{
  text-decoration: none;
  text-align: center;
  font-size: 2.5em;
  font-weight: 300;
  font-family: 'Oswald', sans-serif;
  color: #9ac6ac;
}
#headerlink .modal-content{
  background: none !important;
}
#headerlink .modal-content li{
  background: #0a0a0a !important;
  border: none !important;
}
#headerlink .modal-content a:nth-of-type(1) li:nth-of-type(1){
  margin-bottom: 10px;
}
#headerlink .modal-content li:hover{
  background: #f6f9fc !important;
  color: #0a0a0a;
  border: none !important;
  transition: 0.5s ease-in-out;
}
#headerlink .modal-content li img{
  float: left;
  padding-top: 2px;
  width: 4.2rem;
}